Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 741100 - net-p2p/retroshare-0.6.5 fails to compile: jsonapi-generator.cpp:19:10: fatal error: 'QtCore/QCoreApplication' file not found
Summary: net-p2p/retroshare-0.6.5 fails to compile: jsonapi-generator.cpp:19:10: fatal...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gioacchino Mazzurco
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: missing-depend
  Show dependency tree
 
Reported: 2020-09-08 07:10 UTC by Agostino Sarubbo
Modified: 2024-07-04 01:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,159.11 KB, application/x-xz)
2020-09-08 07:11 UTC, Agostino Sarubbo
Details
Relevant part of the log (file_741100.txt,23.82 KB, text/plain)
2020-09-08 08:01 UTC, Gioacchino Mazzurco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-08 07:10:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-p2p/retroshare-0.6.5 fails to compile.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue is strictly related to the LLD linker, please block bug 731004.
This machine uses also GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-08 07:11:02 UTC
Created attachment 659102 [details]
build.log.xz

build log and emerge --info (compressed because it exceeds attachment limit, use 'xzless' to read it)
Comment 2 Gioacchino Mazzurco 2020-09-08 08:00:43 UTC
AFAIU the relevant part of the log is at the end, the error seems to happen at linking stage, so probably some problem with ldd, but I haven't seen a similar error vefore so I am not 100% sure about the cause.
Comment 3 Gioacchino Mazzurco 2020-09-08 08:01:24 UTC
Created attachment 659116 [details]
Relevant part of the log
Comment 4 gentoo-setan 2024-07-02 16:06:49 UTC
can this be removed if 0.6.5 is not in the repo anymore?
Comment 5 Larry the Git Cow gentoo-dev 2024-07-04 01:23:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e641b1b68c37e016a87ca74d06f9721d49cabbd

commit 0e641b1b68c37e016a87ca74d06f9721d49cabbd
Author:     gentoo-setan <gentoo-setan@protonmail.com>
AuthorDate: 2024-07-03 17:34:35 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-07-04 01:22:19 +0000

    net-p2p/retroshare: remove 0.6.6-r1
    
    First is long overdue and the rest are recent
    
    Closes: https://bugs.gentoo.org/741100
    Closes: https://bugs.gentoo.org/829605
    Closes: https://bugs.gentoo.org/831389
    Closes: https://bugs.gentoo.org/875725
    Closes: https://bugs.gentoo.org/895762
    Closes: https://bugs.gentoo.org/907898
    Closes: https://bugs.gentoo.org/916249
    Closes: https://bugs.gentoo.org/931516
    Signed-off-by: gentoo-setan <gentoo-setan@protonmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-p2p/retroshare/Manifest                   |   1 -
 net-p2p/retroshare/retroshare-0.6.6-r1.ebuild | 111 --------------------------
 2 files changed, 112 deletions(-)
Comment 6 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-07-04 01:25:21 UTC
(In reply to gentoo-setan from comment #4)
> can this be removed if 0.6.5 is not in the repo anymore?

In general, no, you shouldn't assume that *purely* because the version mentioned in a bug is old. But if you've looked into the bug, can't see why it'd happen, and maybe found a fix to the ebuild was applied (or upstream) since, then yes.